<div id="game-full-details-widget" fxLayout="row" fxLayoutGap="15px">
	<div fxLayout="column" fxLayoutGap="15px" fxFlex="25">
		<game-schedule-selector [gamesCount]="gamesForSelectedDate.length" [stringDate]="gameDate" (onGameScheduleChange)="changeGameDate($event); loadGamesForSelectedDate($event);"></game-schedule-selector>

		<game-score *ngFor="let game of gamesForSelectedDate" [selectedGameId]="gameId" [game]="game" (onSelected)="changeGameId($event); loadSelectedGame($event);"></game-score>
		
		<div class="no-games-found" *ngIf="gamesForSelectedDate.length == 0" fxLayoutAlign="center center">
			<svg-icon src="{{ environment.iconPath }}magnify-minus-outline.svg" [applyCss]="true"></svg-icon>
			<div class="typ-title">No games found.</div>
		</div>
	</div>


	<div fxLayout="column" fxFlex="75">
		<game-score-header *ngIf="gamesForSelectedDate.length > 0" [game]="selectedGame"></game-score-header>

		<ngb-tabset *ngIf="gamesForSelectedDate.length > 0" type="pills">
			<ngb-tab title="Matchup">
				<ng-template ngbTabContent>
					<h1>Matchup components here</h1>
				</ng-template>
			</ngb-tab>
			<ngb-tab title="Box Score">
				<ng-template ngbTabContent>
					<br>
					<players-stats-table [statsList]="statsList"></players-stats-table>
				</ng-template>
			</ngb-tab>
			<ngb-tab title="Highlights">
				<ng-template ngbTabContent>
					<div class="highlights-container" fxLayout="row wrap" fxLayoutAlign="center start" fxLayoutGap="15px grid">
						<game-highlight-video *ngFor="let highlight of selectedGame.highlights" [gameHighlightVideo]="highlight"></game-highlight-video>
					</div>
				</ng-template>
			</ngb-tab>
			<ngb-tab title="Play-By-Play">
				<ng-template ngbTabContent>
					<div class="play-by-play-container">
						<play-by-play [playByPlayData]="playByPlayData"></play-by-play>
					</div>
				</ng-template>
			</ngb-tab>
		</ngb-tabset>
	</div>
</div>